@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Inter&family=Poppins:wght@700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Staatliches&display=swap');

.ec-slider{
    background: rgb(242, 241, 237);
    margin-bottom: 3em;
    margin-bottom: 1.643em;
    width: 100vw;
    overflow: hidden;
}

.ec-slider-left{
    width: 50%;
}
.ec-slider-right{
    width: 50%;
}

.ec-wrapper{
    max-width: 1430px;
    margin: 0 auto;
    position: relative;
    height: 500px;
    overflow: hidden;
}

.ec-slider .ec-handwritten-title{
    z-index: 9;
    font-family: 'Pacifico', cursive;
    height: auto;
    color: rgb(38, 76, 154);
    text-decoration: none;
    white-space: normal;
    width: 566px;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    text-align: left;
    line-height: 80px;
    letter-spacing: 0px;
    font-weight: 400;
    font-size: 80px;
    transform-origin: 50% 50%;
    transform: translate(0px, 0px);
    opacity: 1;
    visibility: visible;
}

.ec-slider .ec-normal-title{
    z-index: 8;
    background-color: rgb(38, 76, 154);
    font-family: Poppins;
    color: rgb(255, 255, 255);
    text-decoration: none;
    white-space: normal;
    width: 392px;
    height: 67px;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    text-align: center;
    line-height: 60px;
    letter-spacing: 0px;
    font-weight: 700;
    font-size: 45px;
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 5px;
    padding-bottom: 5px;
    transform-origin: 50% 50%;
    transform: translate(0px, 0px);
    opacity: 1;
    visibility: visible;
    text-transform: uppercase;
}

.ec-slider .ec-btn{
    z-index: 16;
    background-color: rgb(38, 76, 154);
    font-family: Poppins;
    cursor: pointer;
    height: auto;
    width: auto;
    color: rgb(255, 255, 255);
    text-decoration: none;
    white-space: nowrap;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    text-align: center;
    line-height: 60px;
    letter-spacing: 0px;
    font-weight: 700;
    font-size: 17px;
    padding-left: 35px;
    border-radius: 30px;
    padding-right: 35px;
    filter: blur(0px) grayscale(0%) brightness(100%);
    transform-origin: 50% 50%;
    opacity: 1;
    transform: translate(0px, 0px);
    visibility: visible;
    border-width: 0px;
    display: block;
}

.ec-slider .ec-subtitle{
    z-index: 11;
    background-color: rgb(255, 255, 255);
    font-family: Staatliches;
    height: auto;
    color: rgb(0, 0, 0);
    text-decoration: none;
    white-space: normal;
    width: 250px;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    text-align: right;
    line-height: 41px;
    letter-spacing: 0px;
    font-weight: 400;
    font-size: 34px;
    padding-left: 14px;
    padding-right: 14px;
    padding-top: 3px;
    transform-origin: 50% 50%;
    transform: translate(0px, 0px);
    opacity: 1;
    visibility: visible;
}

.ec-slider .ec-price{
    z-index: 15;
    background-color: rgb(255, 255, 255);
    font-family: Staatliches;
    height: auto;
    width: auto;
    color: rgb(255, 58, 45);
    text-decoration: none;
    white-space: nowrap;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    text-align: center;
    line-height: 44px;
    letter-spacing: 0px;
    font-weight: 400;
    font-size: 40px;
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 5px;
    transform-origin: 50% 50%;
    transform: translate(0px, 0px);
    opacity: 1;
    visibility: visible;
}

.ec-slider .ec-price-del{
    z-index: 10;
    background-color: rgb(255, 255, 255);
    font-family: Staatliches;
    height: auto;
    width: auto;
    color: rgb(38, 76, 154);
    text-decoration: line-through;
    white-space: nowrap;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    text-align: center;
    line-height: 25px;
    letter-spacing: 0px;
    font-weight: 400;
    font-size: 25px;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 5px;
    transform-origin: 50% 50%;
    opacity: 1;
    transform: translate(0px, 0px);
    visibility: visible;
}

.ec-wrapper-btn .ec-btn i{
    padding-left: 5px;
}
.ec-wrapper-btn .ec-btn{
    display: flex;
    align-items: center;
}

.ec-product-img-wrapper a:hover{
    cursor: pointer;
}

/* Wrappers */

.ec-wrapper-title{
    position: absolute;
    display: block;
    pointer-events: auto;
    left: 10%;
    top: 93px;
    z-index: 9;
    perspective: 601px;
    position: absolute;
    display: block;
    overflow: visible;
    opacity: 1;
    filter: none;
    transform: rotate(-5deg);
}

.ec-wrapper-normal-title{
    position: absolute;
    display: block;
    pointer-events: auto;
    left: 20%;
    top: 184px;
    z-index: 8;
    perspective: 601px;
    overflow: visible;
}

.ec-wrapper-subtitle{
    position: absolute;
    display: block;
    pointer-events: none;
    left: 30%;
    top: 282px;
    z-index: 11;
    perspective: 601px;
}

.ec-wrapper-price{
    position: absolute;
    display: block;
    pointer-events: none;
    left: 50%;
    top: 408px;
    z-index: 15;
    perspective: 601px;
}

.ec-wrapper-price-del{
    position: absolute;
    display: block;
    pointer-events: none;
    left: 50%;
    top: 374px;
    z-index: 10;
    perspective: 601px;
    overflow: visible;
}

.ec-wrapper-btn{
    position: absolute;
    display: block;
    pointer-events: auto;
    left: 15%;
    top: 349px;
    z-index: 16;
    perspective: 601px;
}

.ec-product-img-wrapper{
    position: absolute;
    display: block;
    pointer-events: none;
    right: 10%;
    z-index: 14;
    perspective: 601px;
    transform: translate(0px, -3.3px);
    padding-top: 7%;
}

.ec-product-img-wrapper a{
    z-index: 14;
    color: rgb(255, 255, 255);
    width: 561px;
    height: 561px;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    transform-origin: 50% 100%;
    opacity: 1;
    transform: translate(0px, 0px);
    visibility: visible;
}

.ec-product-img-wrapper a img{
    position: relative;
    height: 100%;
    width: 100%;

}



.ec-pattern-left{
    position: absolute;
    display: block;
    pointer-events: auto;
    left: 0;
    top: 228px;
    z-index: 12;
    perspective: 601px;
    transform: translate(0px, 21.6px);
}

.ec-pattern-left .ec-pattern{
    z-index: 12;
    color: rgb(255, 255, 255);
    width: 300px;
    height: 300px;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    overflow: hidden;
    border-radius: 50%;
    transform-origin: 50% 50%;
    opacity: 1;
    transform: translate(0px, 0px);
    visibility: visible;
    background: url(https://gastrokuchyne.sk/wp-content/uploads/revslider/big-summer-sale1/patternstripes-1.png) repeat center center;
    background-size: 12%;
}

.ec-pattern-right{
    position: absolute;
    display: block;
    pointer-events: auto;
    right: 0;
    top: -24px;
    z-index: 1;
    perspective: 601px;
    transform: translate(0px, -24.6px);
}

.ec-pattern-right .ec-pattern{
    z-index: 13;
    color: rgb(255, 255, 255);
    width: 492px;
    height: 476px;
    min-height: 0px;
    min-width: 0px;
    max-height: none;
    max-width: none;
    overflow: hidden;
    border-radius: 50%;
    transform-origin: 50% 50%;
    opacity: 1;
    transform: translate(0px, 0px);
    visibility: visible;
    background: url(https://gastrokuchyne.sk/wp-content/uploads/revslider/big-summer-sale1/patternstripes-1.png) repeat center center;
    background-size: 6%;
}


@media screen and (max-width: 350px) {
    .ec-wrapper{
        height: 280px;
    }
    .ec-wrapper-title{
        top: 10%;
        left: 5%;
    }
    .ec-slider .ec-handwritten-title{
        font-size: 23px !important;
        line-height: 23px !important;
        width: auto !important;
    }
    .ec-wrapper-normal-title{
        top: 20%;
        left: 15%;
    }
    .ec-slider .ec-normal-title{
        height: 24px;
        line-height: 17px;
        font-size: 15px;
        width: auto;
    }
    .ec-product-img-wrapper{
        right: 0;
        top: 25%;
        width: 180px;
    }
    .ec-wrapper-subtitle{
        left: 10%;
        top: 40%;
    }
    .ec-wrapper-subtitle .ec-subtitle{
        width: 100px;
        line-height: 18px;
        font-size: 14px;
        padding-left: 5px;
        padding-right: 5px;
    }
    .ec-wrapper-btn{
        left: 10%;
        top: 70%;
    }
    .ec-wrapper-btn .ec-btn{
        line-height: 28px;
        font-size: 12px;
        padding-left: 15px;
        padding-right: 15px;
    }
    .ec-wrapper-price-del{
        left: 50%;
        top: 75%;
    }
    .ec-wrapper-price-del .ec-price-del{
        font-size: 12px;
        line-height: 12px;
        padding-left: 4px;
        padding-right: 4px;
        padding-top: 2px;
        padding-bottom: 2px;
    }
    .ec-wrapper-price{
        left: 50%;
        top: 83%;
    }
    .ec-wrapper-price .ec-price{
        font-size: 16px;
        line-height: 20px;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    .ec-pattern-left{
        left: -10px;
        top: 230px;
    }
    .ec-pattern-left .ec-pattern{
        width: 90px;
        height: 90px;
    }

    .ec-pattern-right{
        left: 240px;
        top: -6px;
    }
    .ec-pattern-right .ec-pattern{
        width: 148px;
        height: 148px;
    }
}

@media (min-width: 351px) and (max-width: 420px) {
    .ec-wrapper{
        height: 320px;
    }
    .ec-wrapper-title{
        top: 10%;
        left: 5%;
    }
    .ec-slider .ec-handwritten-title{
        font-size: 23px !important;
        line-height: 23px !important;
        width: auto !important;
    }
    .ec-wrapper-normal-title{
        top: 20%;
        left: 15%;
    }
    .ec-slider .ec-normal-title{
        height: 24px;
        line-height: 17px;
        font-size: 15px;
        width: auto;
    }
    .ec-product-img-wrapper{
        right: 0;
        top: 20%;
        width: 230px;
    }
    .ec-wrapper-subtitle{
        left: 10%;
        top: 50%;
    }
    .ec-wrapper-subtitle .ec-subtitle{
        width: 100px;
        line-height: 18px;
        font-size: 14px;
        padding-left: 5px;
        padding-right: 5px;
    }
    .ec-wrapper-btn{
        left: 7%;
        top: 80%;
    }
    .ec-wrapper-btn .ec-btn{
        line-height: 30px;
        font-size: 12px;
        padding-left: 20px;
        padding-right: 20px;
    }
    .ec-wrapper-price-del{
        left: 45%;
        top: 75%;
    }
    .ec-wrapper-price-del .ec-price-del{
        font-size: 12px;
        line-height: 12px;
        padding-left: 4px;
        padding-right: 4px;
        padding-top: 2px;
        padding-bottom: 2px;
    }
    .ec-wrapper-price{
        left: 45%;
        top: 82%;
    }
    .ec-wrapper-price .ec-price{
        font-size: 16px;
        line-height: 20px;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    .ec-pattern-left{
        left: -10px;
        top: 230px;
    }
    .ec-pattern-left .ec-pattern{
        width: 90px;
        height: 90px;
    }

    .ec-pattern-right{
        left: 282px;
        top: -6px;
    }
    .ec-pattern-right .ec-pattern{
        width: 148px;
        height: 148px;
    }
}

@media (min-width: 421px) and (max-width: 560px) {
    .ec-wrapper{
        height: 360px;
    }
    .ec-wrapper-title{
        top: 15%;
        left: 5%;
    }
    .ec-slider .ec-handwritten-title{
        font-size: 23px !important;
        line-height: 23px !important;
        width: auto !important;
    }
    .ec-wrapper-normal-title{
        top: 25%;
        left: 15%;
    }
    .ec-slider .ec-normal-title{
        height: 20px;
        line-height: 17px;
        font-size: 15px;
        width: auto;
    }
    .ec-product-img-wrapper{
        right: 0;
        top: 20%;
        width: 280px;
    }
    .ec-wrapper-subtitle{
        left: 10%;
        top: 50%;
    }
    .ec-wrapper-subtitle .ec-subtitle{
        width: 120px;
        line-height: 18px;
        font-size: 14px;
        padding-left: 5px;
        padding-right: 5px;
    }
    .ec-wrapper-btn{
        left: 10%;
        top: 80%;
    }
    .ec-wrapper-btn .ec-btn{
        line-height: 39px;
        font-size: 12px;
        padding-left: 25px;
        padding-right: 25px;
    }
    .ec-wrapper-price-del{
        left: 45%;
        top: 80%;
    }
    .ec-wrapper-price-del .ec-price-del{
        font-size: 14px;
        line-height: 14px;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    .ec-wrapper-price{
        left: 45%;
        top: 88%;
    }
    .ec-wrapper-price .ec-price{
        font-size: 16px;
        line-height: 20px;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    .ec-pattern-left{
        left: -20px;
        top: 250px;
    }
    .ec-pattern-left .ec-pattern{
        width: 110px;
        height: 110px;
    }

    .ec-pattern-right{
        left: 340px;
        top: -6px;
    }
    .ec-pattern-right .ec-pattern{
        width: 180px;
        height: 180px;
    }
}

@media (min-width: 561px) and (max-width: 640px) {
    .ec-wrapper{
        height: 400px;
    }
    .ec-wrapper-title{
        top: 20%;
        left: 5%;
    }
    .ec-slider .ec-handwritten-title{
        font-size: 30px !important;
        line-height: 30px !important;
        width: auto !important;
    }
    .ec-wrapper-normal-title{
        top: 30%;
        left: 15%;
    }
    .ec-slider .ec-normal-title{
        height: 25px;
        line-height: 20px;
        font-size: 20px;
        width: auto;
    }
    .ec-product-img-wrapper{
        right: 0;
        top: 10%;
        width: 360px;
    }
    .ec-wrapper-subtitle{
        left: 15%;
        top: 50%;
    }
    .ec-wrapper-subtitle .ec-subtitle{
        width: 130px;
        line-height: 20px;
        font-size: 16px;
        padding-left: 8px;
        padding-right: 8px;
    }
    .ec-wrapper-btn{
        left: 15%;
        top: 80%;
    }
    .ec-wrapper-btn .ec-btn{
        line-height: 39px;
        font-size: 12px;
        padding-left: 25px;
        padding-right: 25px;
    }
    .ec-wrapper-price-del{
        left: 45%;
        top: 75%;
    }
    .ec-wrapper-price-del .ec-price-del{
        font-size: 14px;
        line-height: 14px;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    .ec-wrapper-price{
        left: 45%;
        top: 82%;
    }
    .ec-wrapper-price .ec-price{
        font-size: 16px;
        line-height: 20px;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    .ec-pattern-left{
        left: -20px;
        top: 280px;
    }
    .ec-pattern-left .ec-pattern{
        width: 110px;
        height: 110px;
    }

    .ec-pattern-right{
        left: 450px;
        top: -6px;
    }
    .ec-pattern-right .ec-pattern{
        width: 180px;
        height: 180px;
    }
}

@media (min-width: 641px) and (max-width: 768px) {
    .ec-wrapper{
        height: 400px;
    }
    .ec-wrapper-title{
        top: 15%;
        left: 5%;
    }
    .ec-slider .ec-handwritten-title{
        font-size: 35px !important;
        line-height: 35px !important;
        width: auto !important;
    }
    .ec-wrapper-normal-title{
        top: 25%;
        left: 15%;
    }
    .ec-slider .ec-normal-title{
        height: 30px;
        line-height: 25px;
        font-size: 25px;
        width: auto;
    }
    .ec-product-img-wrapper{
        right: 5%;
        top: 10%;
        width: 400px;
    }
    .ec-wrapper-subtitle{
        left: 20%;
        top: 50%;
    }
    .ec-wrapper-subtitle .ec-subtitle{
        width: 130px;
        line-height: 22px;
        font-size: 18px;
        padding-left: 8px;
        padding-right: 8px;
    }
    .ec-wrapper-btn{
        left: 20%;
        top: 80%;
    }
    .ec-wrapper-btn .ec-btn{
        line-height: 39px;
        font-size: 14px;
        padding-left: 25px;
        padding-right: 25px;
    }
    .ec-wrapper-price-del{
        left: 45%;
        top: 80%;
    }
    .ec-wrapper-price-del .ec-price-del{
        font-size: 16px;
        line-height: 16px;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    .ec-wrapper-price{
        left: 45%;
        top: 87%;
    }
    .ec-wrapper-price .ec-price{
        font-size: 18px;
        line-height: 20px;
        padding-left: 5px;
        padding-right: 5px;
        padding-top: 3px;
        padding-bottom: 3px;
    }
    .ec-pattern-left{
        left: -20px;
        top: 280px;
    }
    .ec-pattern-left .ec-pattern{
        width: 130px;
        height: 130px;
    }

    .ec-pattern-right{
        left: 550px;
        top: -6px;
    }
    .ec-pattern-right .ec-pattern{
        width: 220px;
        height: 220px;
    }
}

@media (min-width: 769px) and (max-width: 1024px) {
    .ec-wrapper{
        height: 400px;
    }
    .ec-wrapper-title{
        top: 20%;
        left: 10%;
    }
    .ec-slider .ec-handwritten-title{
        font-size: 40px !important;
        line-height: 40px !important;
        width: auto !important;
    }
    .ec-wrapper-normal-title{
        top: 32%;
        left: 20%;
    }
    .ec-slider .ec-normal-title{
        height: 35px;
        line-height: 30px;
        font-size: 30px;
        width: auto;
    }
    .ec-product-img-wrapper{
        right: 0;
        top: 0;
        width: 470px;
    }
    .ec-wrapper-subtitle{
        left: 25%;
        top: 50%;
    }
    .ec-wrapper-subtitle .ec-subtitle{
        width: 150px;
        line-height: 24px;
        font-size: 20px;
        padding-left: 8px;
        padding-right: 8px;
    }
    .ec-wrapper-btn{
        left: 25%;
        top: 80%;
    }
    .ec-wrapper-btn .ec-btn{
        line-height: 42px;
        font-size: 16px;
        padding-left: 25px;
        padding-right: 25px;
    }
    .ec-wrapper-price-del{
        left: 50%;
        top: 80%;
    }
    .ec-wrapper-price-del .ec-price-del{
        font-size: 18px;
        line-height: 18px;
        padding-left: 7px;
        padding-right: 7px;
        padding-top: 5px;
        padding-bottom: 5px;
    }
    .ec-wrapper-price{
        left: 50%;
        top: 88%;
    }
    .ec-wrapper-price .ec-price{
        font-size: 22px;
        line-height: 22px;
        padding-left: 7px;
        padding-right: 7px;
        padding-top:  5px;
        padding-bottom: 5px;
    }
    .ec-pattern-left{
        left: -20px;
        top: 280px;
    }
    .ec-pattern-left .ec-pattern{
        width: 180px;
        height: 180px;
    }

    .ec-pattern-right{
        left: 660px;
        top: -6px;
    }
    .ec-pattern-right .ec-pattern{
        width: 340px;
        height: 340px;
    }
}
@media (min-width: 1025px) and (max-width: 1200px) {
    .ec-wrapper{
        height: 500px;
    }
    .ec-wrapper-title{
        top: 20%;
        left: 10%;
    }
    .ec-slider .ec-handwritten-title{
        font-size: 55px !important;
        line-height: 55px !important;
        width: auto !important;
    }
    .ec-wrapper-normal-title{
        top: 32%;
        left: 20%;
    }
    .ec-slider .ec-normal-title{
        height: 45px;
        line-height: 40px;
        font-size: 40px;
        padding-left: 15px;
        padding-right: 15px;
        width: auto;
    }
    .ec-product-img-wrapper{
        right: 5%;
        top: 0;
        width: 520px;
    }
    .ec-wrapper-subtitle{
        left: 30%;
        top: 50%;
    }
    .ec-wrapper-subtitle .ec-subtitle{
        width: 180px;
        line-height: 34px;
        font-size: 28px;
        padding-left: 10px;
        padding-right: 10px;
    }
    .ec-wrapper-btn{
        left: 33%;
        top: 80%;
    }
    .ec-wrapper-btn .ec-btn{
        line-height: 50px;
        font-size: 16px;
        padding-left: 30px;
        padding-right: 30px;
    }
    .ec-wrapper-price-del{
        left: 50%;
        top: 75%;
    }
    .ec-wrapper-price-del .ec-price-del{
        font-size: 22px;
        line-height: 22px;
        padding-left: 10px;
        padding-right: 10px;
        padding-top: 8px;
        padding-bottom: 8px;
    }
    .ec-wrapper-price{
        left: 50%;
        top: 84%;
    }
    .ec-wrapper-price .ec-price{
        font-size: 28px;
        line-height: 29px;
        padding-left: 10px;
        padding-right: 10px;
        padding-top:  8px;
        padding-bottom: 8px;
    }
    .ec-pattern-left{
        left: -40px;
        top: 320px;
    }
    .ec-pattern-left .ec-pattern{
        width: 200px;
        height: 200px;
    }

    .ec-pattern-right{
        left: 820px;
        top: -10x;
    }
    .ec-pattern-right .ec-pattern{
        width: 400px;
        height: 400px;
    }
}

@media (min-width: 1201px) and (max-width: 1400px) {
    .ec-product-img-wrapper{
        width: 500px;
    }
    .ec-slider .ec-handwritten-title{
        font-size: 70px;
        line-height: 70px;
    }
    .ec-slider .ec-normal-title{
        height: 60px;
        font-size: 39px;
        line-height: 50px;
        width: 350px;
    }
    .ec-wrapper-price-del{
        left: 55%;
    }
    .ec-wrapper-price{
        left: 55%;
    }
}